import request from '@/utils/request'
import Qs from 'qs'

/**
 * 1. 列表查询
 * 2. 查询详细信息
 * 3. 新增
 * 4. 修改
 * 5. 逻辑删除
 * 6. 导出
 *
 */

// 1. 查询报名表
export function listCmsApplication(query) {
  return request({
    url: '/cmsApplication/queryCmsApplicationByPagination',
    method: 'get',
    params: query
  })
}

// 2. 查询报名表详细信息
export function getCmsApplication(businessId) {
  return request({
    url: '/cmsApplication/detail/' + businessId,
    method: 'get'
  })
}

export function exportApplication(query) {
  return request({
    url: '/cmsApplication/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

// 5. 删除报名表
export function delApplication(data) {
  return request({
    url: '/cmsApplication/delete/' + data.businessId,
    method: 'delete',
    data: JSON.stringify(data), // 确保数据被正确序列化为 JSON 字符串
    headers: {
      'Content-Type': 'application/json' // 设置正确的 Content-Type
    }
  })
}
